Skip to main content

createOrUpdateProjectTemplate

Create or update project template

createOrUpdateProjectTemplate(
input: CreateOrUpdateProjectTemplateInput!
): CreateOrUpdateProjectTemplatePayload

Arguments​

createOrUpdateProjectTemplate.input ● CreateOrUpdateProjectTemplateInput! non-null input​

Parameters for CreateOrUpdateProjectTemplate

Type​

CreateOrUpdateProjectTemplatePayload object​

Autogenerated return type of CreateOrUpdateProjectTemplate.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateProjectTemplate($input: CreateOrUpdateProjectTemplateInput!) {\n createOrUpdateProjectTemplate(input: $input) { clientMutationId projectTemplate { id label company { __typename } } }\n}","variables":{"input":{"companyId":"<company_id>","label":"example","goal":"example","projectTypeId":"<project_type_id>"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute